Bug 1082998 - (CVE-2017-18205) VUL-1: CVE-2017-18205: zsh: null dereference on cd with no argument if HOME is not set
(CVE-2017-18205)
VUL-1: CVE-2017-18205: zsh: null dereference on cd with no argument if HOME i...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/200926/
CVSSv3:SUSE:CVE-2017-18205:2.5:(AV:L...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-27 09:38 UTC by Karol Babioch
Modified: 2022-03-31 08:05 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-02-27 09:38:23 UTC
null dereference on cd with no argument if HOME is not set

References: https://sourceforge.net/p/zsh/code/ci/eb783754bdb74377f3cea4ceca9c23a02ea1bf58
Comment 2 Karol Babioch 2018-02-27 13:14:20 UTC
All codestreams affected:

- SUSE:SLE-10-SP3:Update
- SUSE:SLE-11:Update
- SUSE:SLE-12:Update
Comment 5 Swamp Workflow Management 2018-04-25 16:08:10 UTC
SUSE-SU-2018:1072-1: An update that solves 9 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1082885,1082975,1082977,1082991,1082998,1083002,1083250,1084656,1087026,896914
CVE References: CVE-2014-10070,CVE-2014-10071,CVE-2014-10072,CVE-2016-10714,CVE-2017-18205,CVE-2017-18206,CVE-2018-1071,CVE-2018-1083,CVE-2018-7549
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    zsh-5.0.5-6.7.2
SUSE Linux Enterprise Desktop 12-SP3 (src):    zsh-5.0.5-6.7.2
Comment 6 Swamp Workflow Management 2018-04-26 22:08:01 UTC
openSUSE-SU-2018:1093-1: An update that solves 9 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1082885,1082975,1082977,1082991,1082998,1083002,1083250,1084656,1087026,896914
CVE References: CVE-2014-10070,CVE-2014-10071,CVE-2014-10072,CVE-2016-10714,CVE-2017-18205,CVE-2017-18206,CVE-2018-1071,CVE-2018-1083,CVE-2018-7549
Sources used:
openSUSE Leap 42.3 (src):    zsh-5.0.5-9.3.1
Comment 8 Wolfgang Frisch 2020-09-24 13:41:11 UTC
Please submit for SUSE:SLE-11:Update.
Comment 10 Swamp Workflow Management 2022-03-14 20:19:58 UTC
SUSE-SU-2022:14910-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1082885,1082975,1082977,1082991,1082998,1083002,1083250,1084656,1087026,1107294,1107296,1163882
CVE References: CVE-2014-10070,CVE-2014-10071,CVE-2014-10072,CVE-2016-10714,CVE-2017-18205,CVE-2017-18206,CVE-2018-0502,CVE-2018-1071,CVE-2018-1083,CVE-2018-13259,CVE-2018-7549,CVE-2019-20044
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    zsh-4.3.6-67.9.8.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    zsh-4.3.6-67.9.8.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    zsh-4.3.6-67.9.8.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    zsh-4.3.6-67.9.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Wolfgang Frisch 2022-03-31 08:05:34 UTC
Released.